Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQImpl.Connection.StartOk

    java.lang.Object
      com.rabbitmq.client.impl.Method
          com.rabbitmq.client.impl.AMQImpl.Connection.StartOk

All Implemented Interfaces:
  AMQP.Connection.StartOk, Method

Enclosing class:
  AMQImpl.Connection

    public static class AMQImpl.Connection.StartOk

extends Method
implements AMQP.Connection.StartOk

Nested Class Summary

Nested classes/interfaces inherited from interface com.rabbitmq.client.AMQP.Connection.StartOk
`AMQP.Connection.StartOk.Builder`

Field Summary
`static int` | `INDEX`

Constructor Summary
`AMQImpl.Connection.StartOk(java.util.Map<java.lang.String,java.lang.Object> clientProperties, java.lang.String mechanism, LongString response, java.lang.String locale)`
`AMQImpl.Connection.StartOk(MethodArgumentReader rdr)`

Method Summary
`void` | `appendArgumentDebugStringTo(java.lang.StringBuilder acc)` Public API - debugging utility
`java.util.Map<java.lang.String,java.lang.Object>` | `getClientProperties()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getMechanism()`
`LongString` | `getResponse()`
`boolean` | `hasContent()` Tell if content is present.
`int` | `protocolClassId()` Retrieve the protocol class ID
`int` | `protocolMethodId()` Retrieve the protocol method ID
`java.lang.String` | `protocolMethodName()` Retrieve the method name
`java.lang.Object` | `visit(AMQImpl.MethodVisitor visitor)` Visitor support (double-dispatch mechanism).
`void` | `writeArgumentsTo(MethodArgumentWriter writer)` Private API - Autogenerated writer for this method.

Methods inherited from class com.rabbitmq.client.impl.Method
`toFrame, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

Constructor Detail

### AMQImpl.Connection.StartOk

    public AMQImpl.Connection.StartOk(java.util.Map<java.lang.String,java.lang.Object> clientProperties,
                                      java.lang.String mechanism,
                                      LongString response,
                                      java.lang.String locale)

### AMQImpl.Connection.StartOk

    public AMQImpl.Connection.StartOk(MethodArgumentReader rdr)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getClientProperties

    public java.util.Map<java.lang.String,java.lang.Object> getClientProperties()

  Specified by:
    `getClientProperties` in interface `AMQP.Connection.StartOk`

### getMechanism

    public java.lang.String getMechanism()

  Specified by:
    `getMechanism` in interface `AMQP.Connection.StartOk`

### getResponse

    public LongString getResponse()

  Specified by:
    `getResponse` in interface `AMQP.Connection.StartOk`

### getLocale

    public java.lang.String getLocale()

  Specified by:
    `getLocale` in interface `AMQP.Connection.StartOk`

### protocolClassId

    public int protocolClassId()

  Description copied from class: `Method`
  Retrieve the protocol class ID

  Specified by:
    `protocolClassId` in interface `Method`
  Specified by:
    `protocolClassId` in class `Method`
  Returns:
    the AMQP protocol class ID of this Method

### protocolMethodId

    public int protocolMethodId()

  Description copied from class: `Method`
  Retrieve the protocol method ID

  Specified by:
    `protocolMethodId` in interface `Method`
  Specified by:
    `protocolMethodId` in class `Method`
  Returns:
    the AMQP protocol method ID of this Method

### protocolMethodName

    public java.lang.String protocolMethodName()

  Description copied from class: `Method`
  Retrieve the method name

  Specified by:
    `protocolMethodName` in interface `Method`
  Specified by:
    `protocolMethodName` in class `Method`
  Returns:
    the AMQP protocol method name of this Method

### hasContent

    public boolean hasContent()

  Description copied from class: `Method`
  Tell if content is present.

  Specified by:
    `hasContent` in class `Method`
  Returns:
    true if the wire-protocol for this method should involve a content header and body, or false if it should just involve a single method frame.

### visit

    public java.lang.Object visit(AMQImpl.MethodVisitor visitor)
                           throws java.io.IOException

  Description copied from class: `Method`
  Visitor support (double-dispatch mechanism).

  Specified by:
    `visit` in class `Method`
  Parameters:
    `visitor` - the visitor object
  Returns:
    the result of the "visit" operation
  Throws:
    `java.io.IOException` - if an error is encountered

### appendArgumentDebugStringTo

    public void appendArgumentDebugStringTo(java.lang.StringBuilder acc)

  Description copied from class: `Method`
  Public API - debugging utility

  Overrides:
    `appendArgumentDebugStringTo` in class `Method`
  Parameters:
    `acc` - the buffer to append debug data to

### writeArgumentsTo

    public void writeArgumentsTo(MethodArgumentWriter writer)
                          throws java.io.IOException

  Description copied from class: `Method`
  Private API - Autogenerated writer for this method.

  Specified by:
    `writeArgumentsTo` in class `Method`
  Parameters:
    `writer` - interface to an object to write the method arguments
  Throws:
    `java.io.IOException` - if an error is encountered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD